Get Vcf Certificates
Get paginated list of certificates based on query parameters
Page number from which data needs to be displayed (0-based)
Expected number of entries per page
Certificate field to sort by
Sort direction for the results
The certificate search request with search criteria
{
"appliance": "string",
"applianceFqdn": "string",
"category": "string",
"certificateChainGroupId": "string",
"certificateChainRole": "string",
"certificatePurpose": "string",
"status": "string",
"type": "string"
}
Appliance or component type for certificate searches (e.g., VCENTER, NSXT_MANAGER, SDDC_MANAGER, VCF_AUTOMATION, LOG_MANAGEMENT, VCF_OPERATIONS, VCF_OPS_NETWORKS, IDENTITY_BROKER, VCF_OPS_HCX, ESX, VCF_SERVICES_RUNTIME, AVI_LOAD_BALANCER, LICENSE_SERVER, CLOUD_PROXY)
Fully qualified domain name of the appliance
Certificate category for search requests. Common types: TLS_CERT, ROOT_CERT, INTERMEDIATE_CERT. Component-specific types are also supported (e.g., STS_CERT, VMCA_ROOT for vCenter; LOCAL_MANAGER, CBM_CORFU for NSX; VIP, NSX_LB for Supervisor; POLICY_LB_CERT, POLICY_VPN_CERT for NSX policy certificates).
Chain group ID for grouping certificates in the same chain
Certificate chain role (LEAF, INTERMEDIATE, ROOT)
Certificate purpose (e.g., MACHINE_SSL_CERT, STS_CERT)
Certificate expiry status for search requests (e.g., EXPIRED, EXPIRING_30, EXPIRING_60, NORMAL)
Certificate signing CA type (e.g., VMCA, OPENSSL_CA, MSCA, EXTERNAL_CA, SELF_SIGNED_CA)
List of certificates
"{\n \"vcfCertificateModels\" : [ {\n \"certificateResourceKey\" : \"vcenter.vsphere.com_1234_cert\",\n \"issuedTo\" : \"vcenter.vsphere.local.com\",\n \"appliance\" : \"VCENTER\",\n \"displayApplianceType\" : \"vCenter\",\n \"category\" : \"TLS_CERT\",\n \"categoryDisplayName\" : \"TLS Certificate\",\n \"type\" : \"SSL_CERTIFICATE\",\n \"issuedBy\" : \"CA\",\n \"status\" : \"NORMAL\",\n \"displayStatus\" : \"Active\",\n \"daysToExpire\" : 30,\n \"applianceFqdn\" : \"vcenter.vsphere.local.com\",\n \"redirectAvailable\" : true,\n \"domainId\" : \"domain-123\",\n \"vcfEndpoint\" : \"vcenter.vsphere.local.com\",\n \"vcfComponent\" : \"VCENTER\",\n \"issuedToCommonName\" : \"vcenter.vsphere.local.com\",\n \"autoRenewState\" : \"ENABLED\",\n \"displayAutoRenewState\" : \"Enabled\"\n }, {\n \"certificateResourceKey\" : \"nsx.vsphere.com_5678_cert\",\n \"issuedTo\" : \"nsx.vsphere.local.com\",\n \"appliance\" : \"NSXT_MANAGER\",\n \"displayApplianceType\" : \"NSX Manager\",\n \"category\" : \"TLS_CERT\",\n \"categoryDisplayName\" : \"TLS Certificate\",\n \"type\" : \"SSL_CERTIFICATE\",\n \"issuedBy\" : \"CA\",\n \"status\" : \"NORMAL\",\n \"displayStatus\" : \"Active\",\n \"daysToExpire\" : 60,\n \"applianceFqdn\" : \"nsx.vsphere.local.com\",\n \"redirectAvailable\" : true,\n \"domainId\" : \"domain-456\",\n \"vcfEndpoint\" : \"nsx.vsphere.local.com\",\n \"vcfComponent\" : \"NSXT_MANAGER\",\n \"issuedToCommonName\" : \"nsx.vsphere.local.com\",\n \"autoRenewState\" : \"DISABLED\",\n \"displayAutoRenewState\" : \"Disabled\"\n } ]\n}"
Collection of links
Represents page information for a paged result
List of certificates
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/suite-api/api/fleet-management/certificate-management/certificates/query